> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usesimple.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Webhook

> Create a new webhook endpoint for receiving event notifications.
Requires a valid API key.



## OpenAPI

````yaml POST /webhooks
openapi: 3.1.0
info:
  title: Public API v1
  description: >-
    Public API v1 requiring API keys.


    **Timestamps:** All datetime fields in API responses are returned in UTC
    using ISO 8601 format (e.g., `2024-01-15T14:30:00Z`). When filtering by date
    parameters, provide timestamps in ISO 8601 format.
  version: 0.1.0
servers:
  - url: https://api.prod.usesimple.ai/api/v1
    description: Production API Server
security: []
paths:
  /webhooks:
    post:
      tags:
        - Webhooks
      summary: Create Webhook
      description: |-
        Create a new webhook endpoint for receiving event notifications.
        Requires a valid API key.
      operationId: create_webhook_webhooks_post
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WebhookRequest'
      responses:
        '201':
          description: Webhook Created Successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    WebhookRequest:
      type: object
      required:
        - url
      properties:
        url:
          type: string
          format: uri
          title: URL
          description: The URL where webhook events will be sent
        event_types:
          type: array
          items:
            type: string
            enum:
              - call.started
              - call.completed
              - transcript.updated
          title: Event Types
          description: >-
            The types of events to subscribe to. If not specified, all event
            types will be included.
        description:
          type: string
          title: Description
          description: Optional description for the webhook endpoint
        disabled:
          type: boolean
          title: Disabled
          description: Whether the webhook is initially disabled
          default: false
        rate_limit:
          type: integer
          title: Rate Limit
          description: Optional rate limit for the webhook (requests per minute)
      title: Webhook Request
    WebhookResponse:
      type: object
      required:
        - endpoint_id
        - url
        - event_types
        - created_at
      properties:
        endpoint_id:
          type: string
          title: Endpoint ID
          description: Unique identifier for the webhook endpoint
        url:
          type: string
          format: uri
          title: URL
          description: The URL where webhook events will be sent
        event_types:
          type: array
          items:
            type: string
            enum:
              - call.started
              - call.completed
              - transcript.updated
          title: Event Types
          description: The types of events the webhook is subscribed to
        description:
          type: string
          title: Description
          description: Description of the webhook endpoint
        disabled:
          type: boolean
          title: Disabled
          description: Whether the webhook is disabled
        created_at:
          type: string
          format: date-time
          title: Created At
          description: When the webhook endpoint was created
      title: Webhook Response
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization

````